<html>
<head>
<title>Ogre::TangentSpaceCalc::IndexRemap Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TangentSpaceCalc.html">TangentSpaceCalc</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html">IndexRemap</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TangentSpaceCalc::IndexRemap Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TangentSpaceCalc::IndexRemap" -->
<p>Information about a remapped index.  
 <a href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a77c5b41921797ecfc47252bd99f789aa">IndexRemap</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a6d5e329458cea922c5d62eaf814b4883">IndexRemap</a> (size_t i, size_t f, const <a class="el" href="classOgre_1_1TangentSpaceCalc.html#af7248e9a56104604d70decacbddc24b6">VertexSplit</a> &amp;s)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a0b95b1be05110b59c87d44378f8f2d4b">indexSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index data set (can be &gt;0 if more than one index data was added)  <a href="#a0b95b1be05110b59c87d44378f8f2d4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a477c9b282bb1275c79472224d890cab5">faceIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The position in the index buffer that's affected.  <a href="#a477c9b282bb1275c79472224d890cab5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af7248e9a56104604d70decacbddc24b6">VertexSplit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a28ce54b6e709aa61689b4565cd0acf68">splitVertex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The old and new vertex index.  <a href="#a28ce54b6e709aa61689b4565cd0acf68"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Information about a remapped index. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00057">57</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a77c5b41921797ecfc47252bd99f789aa"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::IndexRemap::IndexRemap" ref="a77c5b41921797ecfc47252bd99f789aa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a77c5b41921797ecfc47252bd99f789aa">Ogre::TangentSpaceCalc::IndexRemap::IndexRemap</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00066">66</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6d5e329458cea922c5d62eaf814b4883"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::IndexRemap::IndexRemap" ref="a6d5e329458cea922c5d62eaf814b4883" args="(size_t i, size_t f, const VertexSplit &amp;s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a77c5b41921797ecfc47252bd99f789aa">Ogre::TangentSpaceCalc::IndexRemap::IndexRemap</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TangentSpaceCalc.html#af7248e9a56104604d70decacbddc24b6">VertexSplit</a> &amp;&#160;</td>
          <td class="paramname"><em>s</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00067">67</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a477c9b282bb1275c79472224d890cab5"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::IndexRemap::faceIndex" ref="a477c9b282bb1275c79472224d890cab5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a477c9b282bb1275c79472224d890cab5">Ogre::TangentSpaceCalc::IndexRemap::faceIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The position in the index buffer that's affected. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00062">62</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00229">Ogre::TangentSpaceCalc::remapIndexes()</a>.</p>

</div>
</div>
<a class="anchor" id="a0b95b1be05110b59c87d44378f8f2d4b"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::IndexRemap::indexSet" ref="a0b95b1be05110b59c87d44378f8f2d4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a0b95b1be05110b59c87d44378f8f2d4b">Ogre::TangentSpaceCalc::IndexRemap::indexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index data set (can be &gt;0 if more than one index data was added) </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00060">60</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00229">Ogre::TangentSpaceCalc::remapIndexes()</a>.</p>

</div>
</div>
<a class="anchor" id="a28ce54b6e709aa61689b4565cd0acf68"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::IndexRemap::splitVertex" ref="a28ce54b6e709aa61689b4565cd0acf68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af7248e9a56104604d70decacbddc24b6">VertexSplit</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1IndexRemap.html#a28ce54b6e709aa61689b4565cd0acf68">Ogre::TangentSpaceCalc::IndexRemap::splitVertex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The old and new vertex index. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00064">64</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00229">Ogre::TangentSpaceCalc::remapIndexes()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
